import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRDeviceAttestationDeviceInfo extends _NSObject {
    static alloc(): _MTRDeviceAttestationDeviceInfo;
    static new(): _MTRDeviceAttestationDeviceInfo;
    init(): _MTRDeviceAttestationDeviceInfo;
    /**
     * The vendor ID from the Device Attestation Certificate. May be nil only if attestation verification failed.
     */
    vendorID(): _NSNumber | null;
    /**
     * The product ID from the Device Attestation Certificate. May be nil only if attestation verification failed.
     */
    productID(): _NSNumber | null;
    /**
     * The vendor ID value from the device's Basic Information cluster that was used for device attestation. If attestation succeeds, this must match the vendor ID from the certification declaration.
     */
    basicInformationVendorID(): _NSNumber;
    /**
     * The product ID value from the device's Basic Information cluster that was used for device attestation. If attestation succeeds, this must match one of the product IDs from the certification declaration.
     */
    basicInformationProductID(): _NSNumber;
    dacCertificate(): _NSData;
    dacPAICertificate(): _NSData;
    certificateDeclaration(): _NSData | null;
    /** The attestation challenge from the secure session. */
    attestationChallenge(): _NSData;
    /** The attestation nonce from the AttestationRequest command. */
    attestationNonce(): _NSData;
    /**
     * The TLV-encoded attestation_elements_message that was used to find the certificationDeclaration (possibly unsuccessfully).
     */
    elementsTLV(): _NSData;
    /**
     * The certification declaration of the device, if available. This is a DER-encoded string representing a CMS-formatted certification declaration. May be nil only if attestation verification failed.
     */
    certificationDeclaration(): _NSData | null;
    /**
     * A signature, using the device attestation private key of the device that sent the attestation information, over the concatenation of elementsTLV and attestationChallenge.
     */
    elementsSignature(): _NSData;
}
